# OmniAuth Yokitup OAuth2

[![Gem Version](https://badge.fury.io/rb/omniauth-yokitup-oauth2.svg)](http://badge.fury.io/rb/omniauth-yokitup-oauth2)

Strategy to authenticate [Yokitup](https://www.yokitup.com) in OmniAuth.

## Installation

OmniAuth Yokitup OAuth2 is distributed as a gem, which is how it should be used in your app.

Include the gem in your Gemfile:

    gem 'omniauth-yokitup-oauth2', '~> 1.0'

Integrate this strategy to your OmniAuth middleware.

```ruby
Rails.application.config.middleware.use OmniAuth::Builder do
  provider :yokitup, ENV['YOKITUP_CLIENT_ID'], ENV['YOKITUP_SECRET']
end
```

## Author

- [Jonathan VUKOVICH-TRIBOUHARET](https://github.com/jonathantribouharet) ([@johnvuko](https://twitter.com/johnvuko))

## License

This project is released under the MIT license. See the LICENSE file for more info.
